#{extends 'borderNG.html' /}

<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'berita.home'}</a></li>
	<li>&{'berita.list'}</li>
</ol>

<div class="content">
#{alert /}
#{form @admin.BeritaCtr.panitia_simpan(), id:'formBerita', enctype:"multipart/form-data"}
	#{if berita?.brt_id}
     <input type=hidden name="berita.brt_id" value="${berita?.brt_id}" />
	#{/if}  
	<div class="form-group">
		<label class="col-lg-2 control-label">Title <span class="warning">*</span></label>
		<div class="col-lg-10 #{errorClass 'berita.brt_judul'/}">
			<input name="berita.brt_judul" type="text" size="60" maxlength="100" value="${berita?.brt_judul}" class="form-control" />
			<span class="help-block">#{error 'berita.brt_judul' /}</span>
		</div>
	</div> 
	<div class="form-group #{errorClass 'brtAttachment'/}">
		<label class="col-lg-2 control-label">&{'berita.lampiran'}</label>
		<div class="col-lg-10"  >			  
			 #{if berita?.brt_id_attachment}
                <input type=hidden name="berita.brt_id_attachment" value="${berita?.brt_id_attachment}" />                  
                <a href="${berita.getDownloadUrl()}">${berita.blob?.getFileName()}</a>
                <a href="javascript:void(0)" class="removeBtn"><input type="hidden" name="hapus" value="${berita.brt_id_attachment}"><i class="fa fa-trash-o fa-lg"></i></a>
           	#{/if}
           	<input type="file" id="attachment"  size="60" name="brtAttachment" class="form-control #{validate 'brtAttachment'/}"  />
			<div class="invalid-feedback">#{error 'brtAttachment' /}</div>
		</div>
	</div>
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'berita.isiberita'}</label>
		<div class="col-lg-10">
			<textarea name="berita.brt_isi" class="form-control" rows="12" id="editor">${berita?.brt_isi}</textarea>
			<div class="invalid-feedback">#{error 'berita.brt_isi' /}</div>
		</div>
	</div> 
   <p><span class="warning">*</span> &{'berita.dataisi'}</p>
    #{saveButton /}
    #{backButton action:@admin.BeritaCtr.panitia() /}      
#{/form}
</div>

#{set 'css_custom' }
<link href="https://unpkg.com/trumbowyg@2.21.0/dist/ui/trumbowyg.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/trumbowyg.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/plugins/cleanpaste/trumbowyg.cleanpaste.min.js"></script>
<script type="text/javascript" src="#{assets '/js/trumbowyg.config.js'/}"></script>
<script type="text/javascript">
$(document).on('click', '.removeBtn', function(){
    $(this).parent().parent().remove()
 })
</script>
#{/set}


